const util = require('../../../utils/util.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: '',
    content:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(options)
    this.setData({
      id: options.id
    })
    this.getData()
  },
  getData() {
    let that=this
    util.ajax({
      func: "article_type/detail",
      data: {
        "id": that.data.id,
      },
    }, function (res) {
      if (res.code == 0) {
        that.data.content = res.data.content ? res.data.content.replace(/section/g, "div") : '';
        that.data.content = that.data.content.replace(/<img/g, "<img style='max-width:100%'");
        that.setData({
          content:that.data.content
        })
      } else {
        util.showTips(res.reason);
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})